package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.InvCrl;
import com.brilliance.isc.common.invchk.vo.InvcrlVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface InvcrlMapper {

    InvcrlVo selectBySeqnum(String seqnum);

    int insertSelective(InvcrlVo record);

    int updateBySeqnumSelective(InvcrlVo record);

    List<String> selectByOwnref(String ownref);

    List<InvcrlVo> selectInvCrlForCheck();
}